Update Label
curl --request PUT \
--url https://api.eflow.team/v1/networks/labels \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"label": "top-performer-v2",
"advertiser_ids": [
13,
26
],
"affiliate_ids": [
28,
35
],
"affiliate_tier_ids": [
3,
4
],
"campaign_ids": [],
"offer_group_ids": [
2
],
"offer_ids": [
1,
8,
11
]
}
'import requests
url = "https://api.eflow.team/v1/networks/labels"
payload = {
"label": "top-performer-v2",
"advertiser_ids": [13, 26],
"affiliate_ids": [28, 35],
"affiliate_tier_ids": [3, 4],
"campaign_ids": [],
"offer_group_ids": [2],
"offer_ids": [1, 8, 11]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'top-performer-v2',
advertiser_ids: [13, 26],
affiliate_ids: [28, 35],
affiliate_tier_ids: [3, 4],
campaign_ids: [],
offer_group_ids: [2],
offer_ids: [1, 8, 11]
})
};
fetch('https://api.eflow.team/v1/networks/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'top-performer-v2',
'advertiser_ids' => [
13,
26
],
'affiliate_ids' => [
28,
35
],
'affiliate_tier_ids' => [
3,
4
],
'campaign_ids' => [
],
'offer_group_ids' => [
2
],
'offer_ids' => [
1,
8,
11
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/labels"
payload := strings.NewReader("{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/labels")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}"
response = http.request(request)
puts response.read_body{
"result": true
}Labels
Update Label
PUT
/
networks
/
labels
Update Label
curl --request PUT \
--url https://api.eflow.team/v1/networks/labels \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"label": "top-performer-v2",
"advertiser_ids": [
13,
26
],
"affiliate_ids": [
28,
35
],
"affiliate_tier_ids": [
3,
4
],
"campaign_ids": [],
"offer_group_ids": [
2
],
"offer_ids": [
1,
8,
11
]
}
'import requests
url = "https://api.eflow.team/v1/networks/labels"
payload = {
"label": "top-performer-v2",
"advertiser_ids": [13, 26],
"affiliate_ids": [28, 35],
"affiliate_tier_ids": [3, 4],
"campaign_ids": [],
"offer_group_ids": [2],
"offer_ids": [1, 8, 11]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'top-performer-v2',
advertiser_ids: [13, 26],
affiliate_ids: [28, 35],
affiliate_tier_ids: [3, 4],
campaign_ids: [],
offer_group_ids: [2],
offer_ids: [1, 8, 11]
})
};
fetch('https://api.eflow.team/v1/networks/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'top-performer-v2',
'advertiser_ids' => [
13,
26
],
'affiliate_ids' => [
28,
35
],
'affiliate_tier_ids' => [
3,
4
],
'campaign_ids' => [
],
'offer_group_ids' => [
2
],
'offer_ids' => [
1,
8,
11
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/labels"
payload := strings.NewReader("{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/labels")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"top-performer-v2\",\n \"advertiser_ids\": [\n 13,\n 26\n ],\n \"affiliate_ids\": [\n 28,\n 35\n ],\n \"affiliate_tier_ids\": [\n 3,\n 4\n ],\n \"campaign_ids\": [],\n \"offer_group_ids\": [\n 2\n ],\n \"offer_ids\": [\n 1,\n 8,\n 11\n ]\n}"
response = http.request(request)
puts response.read_body{
"result": true
}Update an existing label. Pass the current label value as the
old_label query parameter and provide the new label value and optional ID arrays in the request body.Authorizations
Body
application/json
Was this page helpful?
